SD_BUS_GET_NAME_MACHINE_ID(3)

NAME
sd_bus_get_name_machine_id - Retrieve a bus client's machine identity

SYNOPSIS

#include <systemd/sd-bus.h>

int sd_bus_get_name_machine_id(sd_bus *bus, const char *name, sd_id128_t *machine);

DESCRIPTION

sd_bus_get_name_machine_id() retrieves the D-Bus machine identity of the machine that the bus client identified by name is running on. Internally, it calls the GetMachineId method of the org.freedesktop.DBus.Peer interface. The D-Bus machine identity is a 128-bit UUID. On Linux systems running systemd, this corresponds to the contents of /etc/machine-id. On success, the machine identity is stored in machine.

RETURN VALUE

On success, this function returns a non-negative integer. On failure, it returns a negative errno-style error code.

  Errors

Returned errors may indicate the following problems:

-EINVAL
    An argument is invalid.

    Added in version 246.

-ENOPKG
    The bus cannot be resolved.

    Added in version 246.

-ECHILD
    The bus was created in a different process, library or module instance.

    Added in version 246.

-ENOMEM
    Memory allocation failed.

    Added in version 246.

NOTES

Functions described here are available as a shared library, which can be compiled against and linked to with the libsystemd pkg-config(1) file.

The code described here uses getenv(3), which is declared to be not multi-thread-safe. This means that the code calling the functions described here must not call setenv(3) from a parallel thread. It is recommended to only do calls to setenv() from an early phase of the program when no other threads have been started.

HISTORY

sd_bus_get_name_machine_id() was added in version 246.

SEE ALSO

systemd(1), sd-bus(3)